Bug 540346 - SELinux is preventing /usr/libexec/pk-gstreamer-install from loading /usr/lib/gstreamer-0.10/libgstflump3dec.so which requires text relocation.
Summary: SELinux is preventing /usr/libexec/pk-gstreamer-install from loading /usr/lib...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:03de174f407...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-23 05:29 UTC by Vladimir
Modified: 2009-12-02 04:41 UTC (History)
3 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:41:08 UTC


Attachments (Terms of Use)

Description Vladimir 2009-11-23 05:29:51 UTC
Summary:

SELinux is preventing /usr/libexec/pk-gstreamer-install from loading
/usr/lib/gstreamer-0.10/libgstflump3dec.so which requires text relocation.

Detailed Description:

The gst-install-plu application attempted to load
/usr/lib/gstreamer-0.10/libgstflump3dec.so which requires text relocation. This
is a potential security problem. Most libraries do not need this permission.
Libraries are sometimes coded incorrectly and request this permission. The
SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/usr/lib/gstreamer-0.10/libgstflump3dec.so to use relocation as a workaround,
until the library is fixed. Please file a bug report.

Allowing Access:

If you trust /usr/lib/gstreamer-0.10/libgstflump3dec.so to run correctly, you
can change the file context to textrel_shlib_t. "chcon -t textrel_shlib_t
'/usr/lib/gstreamer-0.10/libgstflump3dec.so'" You must also change the default
file context files on the system in order to preserve them even on a full
relabel. "semanage fcontext -a -t textrel_shlib_t
'/usr/lib/gstreamer-0.10/libgstflump3dec.so'"

Fix Command:

chcon -t textrel_shlib_t '/usr/lib/gstreamer-0.10/libgstflump3dec.so'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_execmem_t:s0-
                              s0:c0.c1023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/gstreamer-0.10/libgstflump3dec.so [ file
                              ]
Source                        totem-plugin-vi
Source Path                   /usr/libexec/totem-plugin-viewer
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           PackageKit-gstreamer-
                              plugin-0.5.4-0.3.20091029git.fc12
Target RPM Packages           fluendo-codecs-mp3-8-3
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   allow_execmod
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.i686 #1 SMP Sat Nov
                              7 21:41:45 EST 2009 i686 i686
Alert Count                   2
First Seen                    Sun 22 Nov 2009 11:38:17 PM EST
Last Seen                     Sun 22 Nov 2009 11:38:18 PM EST
Local ID                      02d7cb33-4de9-454c-9dbd-f7a1e2faa038
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258951098.612:38271): avc:  denied  { execmod } for  pid=10681 comm="gst-install-plu" path="/usr/lib/gstreamer-0.10/libgstflump3dec.so" dev=sdb5 ino=88825 scontext=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1258951098.612:38271): arch=40000003 syscall=125 success=no exit=-13 a0=4060000 a1=d1000 a2=5 a3=bfc79d50 items=0 ppid=10680 pid=10681 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=4 comm="gst-install-plu" exe="/usr/libexec/pk-gstreamer-install" subj=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,allow_execmod,totem-plugin-vi,unconfined_execmem_t,lib_t,file,execmod
audit2allow suggests:

#============= unconfined_execmem_t ==============
allow unconfined_execmem_t lib_t:file execmod;

Comment 1 Daniel Walsh 2009-11-23 16:16:48 UTC
Do the suggested chcon command

Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:40:25 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:23:43 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:34:50 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.